Package org.springframework.security.access.intercept.aspectj

# Class MethodInvocationAdapter

java.lang.Object
org.springframework.security.access.intercept.aspectj.MethodInvocationAdapter

All Implemented Interfaces:
  `org.aopalliance.intercept.Invocation`, `org.aopalliance.intercept.Joinpoint`, `org.aopalliance.intercept.MethodInvocation`

@Deprecated public final class MethodInvocationAdapter extends Object implements org.aopalliance.intercept.MethodInvocation
Deprecated.
This class will be removed from the public API. See `JoinPointMethodInvocation` in `spring-security-aspects` for its replacement
Decorates a JoinPoint to allow it to be used with method-security infrastructure classes which support `MethodInvocation` instances.

Since:
  3.0.3

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArguments()`
Deprecated.
`Method`
`getMethod()`
Deprecated.
`AccessibleObject`
`getStaticPart()`
Deprecated.
`Object`
`getThis()`
Deprecated.
`Object`
`proceed()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMethod

public Method getMethod()
Deprecated.

Specified by:
  `getMethod` in interface `org.aopalliance.intercept.MethodInvocation`

### getArguments

public Object[] getArguments()
Deprecated.

Specified by:
  `getArguments` in interface `org.aopalliance.intercept.Invocation`

### getStaticPart

public AccessibleObject getStaticPart()
Deprecated.

Specified by:
  `getStaticPart` in interface `org.aopalliance.intercept.Joinpoint`

### getThis

public Object getThis()
Deprecated.

Specified by:
  `getThis` in interface `org.aopalliance.intercept.Joinpoint`

### proceed

public Object proceed() throws Throwable
Deprecated.

Specified by:
  `proceed` in interface `org.aopalliance.intercept.Joinpoint`
Throws:
  `Throwable`